import request from '@/utils/request'

// 查询录入列表
export function listDkdb(query) {
  return request({
    url: '/rsmonitoring/dkgeomdb/list',
    method: 'get',
    params: query
  })
}

// 查询录入详细
export function getDkdbList(params) {
  return request({
    url: '/rsmonitoring/dkgeomdb/details/list',
    method: 'get',
    params
  })
}
// 查询录入详细
export function getDetailsDk(id) {
  return request({
    url: '/rsmonitoring/dkgeomdb/details/' + id,
    method: 'get'
  })
}

export function adddb(data) {
  return request({
    url: '/rsmonitoring/dkgeomdb',
    method: 'post',
    data
  })
}

// 修改录入
// export function updateDkdb(data) {
//   return request({
//     url: '/rsmonitoring/dkgeomdb',
//     method: 'put',
//     data: data
//   })
// }

// 下发
export function issueDkdb(data) {
  return request({
    url: '/rsmonitoring/dkgeomdb/issue',
    method: 'post',
    data
  })
}

// 审计流程
export function getAuditflowTree() {
  return request({
    url: '/rsmonitoring/auditflow/type/tree',
    method: 'get'
  })
}


